Bug 391144 - Discover's sort menu inappropriately uses checkboxes instead of radio buttons
Summary: Discover's sort menu inappropriately uses checkboxes instead of radio buttons
Status: VERIFIED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.2
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 05:13 UTC by Nate Graham
Modified: 2018-04-05 10:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-02-27 05:13:09 UTC
Discover's new sort menu inappropriately uses checkboxes instead of radio buttons. This results in a really awkward interaction paradigm where you need to uncheck the existing sort order before you can check the other one. It's also just wrong: checkboxes are uses when multiple selection is allowed; when the items are mutually exclusive, the correct control is a set of ratio buttons.
Comment 1 Aleix Pol 2018-02-27 13:54:46 UTC
Needs changes in few parts of the stack. First in:
https://commits.kde.org/qqc2-desktop-style/55dbbdb9315c81b89e255d4b576b9697083db698
Comment 2 Aleix Pol 2018-02-27 16:18:24 UTC
https://phabricator.kde.org/D10892
Comment 3 Aleix Pol 2018-02-27 16:24:14 UTC
https://phabricator.kde.org/D10893
Comment 4 Aleix Pol 2018-02-28 14:48:54 UTC
Git commit 9ca92183166a0c9292ee4cc883a00c507692c751 by Aleix Pol.
Committed on 28/02/2018 at 14:48.
Pushed by apol into branch 'master'.

Make it possible to support exclusive action groups

Summary:
We need to find away to import 2.3 if available otherwise modelData.Controls.ActionGroup returns null.

Reviewers: #kirigami, mart

Reviewed By: #kirigami, mart

Subscribers: mart, plasma-devel

Tags: #kirigami

Differential Revision: https://phabricator.kde.org/D10892

M  +7    -0    src/CMakeLists.txt
C  +13   -23   src/controls/private/ActionMenuItemBase.qml [from: src/controls/private/ActionsMenu.qml - 051% similarity]
C  +4    -25   src/controls/private/ActionMenuItemQt510.qml [from: src/controls/private/ActionsMenu.qml - 051% similarity]
C  +1    -27   src/controls/private/ActionMenuItemQt59.qml [from: src/controls/private/ActionsMenu.qml - 050% similarity]
M  +3    -15   src/controls/private/ActionsMenu.qml
M  +35   -10   tests/actionsMenu.qml

https://commits.kde.org/kirigami/9ca92183166a0c9292ee4cc883a00c507692c751
Comment 5 Aleix Pol 2018-02-28 15:11:27 UTC
Git commit fb21b21bd699dad9cf03d8e2553797cadee728cd by Aleix Pol.
Committed on 28/02/2018 at 15:11.
Pushed by apol into branch 'master'.

Use an action group for the sort options

Summary:
Otherwise we get ugly checkboxes.
Requires Qt 5.10.

Depends on D10892

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D10893

M  +12   -4    discover/qml/ApplicationsListPage.qml

https://commits.kde.org/discover/fb21b21bd699dad9cf03d8e2553797cadee728cd
Comment 6 Nate Graham 2018-03-06 13:52:05 UTC
I'm afraid those patches didn't resolve the issue for me. Both are committed, yet I still see checkboxes in Discover's sort menu.
Comment 7 Nate Graham 2018-03-10 15:28:35 UTC
Missed the patch for QQC2-desktop-style. Can verify that this is fixed now!